LOGGER_LOGGER = "Logger";
LOGGER_VERSION = "0.22";
LOGGER_SLASHCMD = "logger";
LOGGER_LOGINMSG = "|c00ffff00"..LOGGER_LOGGER.."|r v|c0000ffff"..LOGGER_VERSION.."|r AddOn loaded.  |c0000ff00/"..LOGGER_SLASHCMD.."|r to use";

LOGGER_OPTIONS = "Options";
LOGGER_CLEAR = "Clear";
LOGGER_SUMMARY = "Summary";
LOGGER_ENTRIES = "Entries: ";
LOGGER_DISPLAYED = "Displayed: ";
LOGGER_TIMEFRAME = "Time Frame: ";
LOGGER_YOU = "you";
LOGGER_KILLED = " killed: ";
LOGGER_LOOTED = " looted: ";

LOGGER_UILOADED = "UI Loaded";
LOGGER_PLAYERDIED = "You were killed";
LOGGER_MOBSLAIN = "%s slain by %s";
LOGGER_ITEMLOOTED = "%s looted by %s";
LOGGER_FACTION = "%s %s";
LOGGER_NEWZONE = "Entered %s";
LOGGER_TELL_RECEIVED = "%s whispers: %s";
LOGGER_TELL_SENT = "To %s: %s";
LOGGER_EXPERIENCE_GAIN_LOG = "You gained %i experience.";
LOGGER_SKILL_GAIN_LOG = "Your skill in %s increased to %i.";
LOGGER_ITEMCREATED = "You created %s";
LOGGER_LEVELUP = "Leveled Up: %i;  Hp gain: %i;  Mana gain: %i";

LOGGER_YOUHAVESLAIN = "^You have slain (.+)!";
LOGGER_SLAINBY = "(.+) is slain by (.+)!$";
LOGGER_REPUTATION1 = "^Reputation with (.+) increased by (%d*).$";
LOGGER_REPUTATION2 = "^Reputation with (.+) decreased by (%d*).$";
LOGGER_LOOT1 = "^You receive loot: |cff(......).+%[([^%]]+)%]|h|rx?(%d*).$";
LOGGER_LOOT2 = "^(.+) receives loot: |cff(......).+%[([^%]]+)%]|h|rx?(%d*).$";
LOGGER_LOOT3 = "^You create: |cff(......).+%[([^%]]+)%]|h|rx?(%d*).$";
LOGGER_ITEM = "^You receive item: |cff(......).+%[([^%]]+)%]|h|rx?(%d*).$";
LOGGER_EXPERIENCE_GAIN = "[Yy]ou gain (%d+) experience%.";
LOGGER_SKILL_GAIN = "^Your skill in (.+) has increased to (%d+)%.$";

LOGGER_HELP0 = "type '/"..LOGGER_SLASHCMD.." ?' to display command line options";
LOGGER_HELP1 = "|c00ffff00"..LOGGER_LOGGER.."|r v|c0000ffff"..LOGGER_VERSION.."|r Commands:";
LOGGER_HELP2 = "|c0000ff00/"..LOGGER_SLASHCMD.."|r -- Display the addon UI";
LOGGER_HELP3 = "|c0000ff00/"..LOGGER_SLASHCMD.." comment <text>|r -- Log a comment";

LoggerCheckButtons = {
	{
		text = "UI Loads",
		type = 1,
		tooltip = "When the UI is loaded",
	},
	{
		text = "Deaths",
		type = 2,
		tooltip = "Your deaths",
	},
	{
		text = "Kills",
		type = 3,
		tooltip = "Your kills and your party member's kills",
	},
	{
		text = "Looting",
		type = 4,
		tooltip = "Loot received by you and party members",
	},
	{
		text = "Faction Adjustments",
		type = 5,
		tooltip = "Faction gains and losses",
	},
	{
		text = "Entering Zones",
		type = 6,
		tooltip = "Zone changes",
	},
	{
		text = "Whispers Received",
		type = 8,
		tooltip = "Tells/whispers received",
	},
	{
		text = "Whispers Sent",
		type = 9,
		tooltip = "Tells/whispers sent by you",
	},
	{
		text = "Experience Gains",
		type = 10,
		tooltip = "Experience gains from mob kills and quests",
	},
	{
		text = "Skill Raises",
		type = 11,
		tooltip = "Skill raises",
	},
	{
		text = "Comments",
		type = 7,
		tooltip = "Comments entered via /"..LOGGER_SLASHCMD.." comment",
		displayOnly = true,
	},
	{
		text = "Your Creations",
		type = 12,
		tooltip = "Items created by you",
	},
	{
		text = "Level Ups",
		type = 13,
		tooltip = "When you gain a level",
	},

};

LOGGER_OPTIONS_HEADER = LOGGER_LOGGER.." v"..LOGGER_VERSION.." "..LOGGER_OPTIONS;
LOGGER_EVENTS_HEADER = "Logged Events";
LOGGER_ENABLE_TOOLTIP = "Enable Logging";
LOGGER_MAX_ENTRIES = "Max Entries";
LOGGER_MAX_ENTRIES_TOOLTIP = "The maximum number of logged events stored in memory.  Once this limit is reached, the oldest entries will be deleted as new events are logged";
LOGGER_MAX_TIME_TOOLTIP = "Delete entries older than this amount of time.  Zero days, hours, minutes means never delete entries based on age";

LOGGER_SHOWALL = "Display All Entries";
LOGGER_SHOWALL_TOOLTIP = "Display all entries logged by the addon";
LOGGER_DISPLAYED_ENTRIES_HEADER = "Displayed Entries";

LOGGER_CONFIRM_CLEAR = "Delete all entries?";
StaticPopupDialogs["LOGGER_CLEAR_ENTRIES"] = {
	text = LOGGER_CONFIRM_CLEAR,
	button1 = YES,
	button2 = NO,
	OnAccept = function()
		LoggerClearEntries();
	end,
	timeout = 0,
	showAlert = 1,
	hideOnEscape = 1,
};

if ( GetLocale() == "deDE" ) then
end

if ( GetLocale() == "frFR" ) then
end
